# CLOG_csync

synchronize clocks for adjusting times in merge

## Synopsis

    void CLOG_csync( root, diffs )
    int root;
    double diffs[];

This version is sequential and non-scalable. The root process serially synchronizes with each slave, using the first algorithm in Gropp, "Scalable clock synchronization on distributed processors without a common clock". The array is calculated on the root but broadcast and returned on all processes.

## Inout Parameters

| root | process to serve as master
| timediffs | array of doubles to be filled in

Location:clog_merge.c